﻿:root {
    --sal-blue: #005EB8;
    --sal-gray: #EFEFEF;
    --clr-txt: #4A4A4A;
    --clr-txt-light: #585858;
}

@font-face {
    font-family: Gotham;
    src: url("../Fonts/Gotham-Book.ttf")
}

@font-face {
    font-family: GothamBold;
    src: url("../Fonts/Gotham-Bold.ttf")
}

@font-face {
    font-family: GothamMedium;
    src: url("../Fonts/Gotham-Medium.ttf")
}

@media screen {
    .printable {
        display: none;
    }
    .non-printable {
        display: block;
    }
}

@media print {
    .printable {
        display: block;
    }
    .non-printable {
        display: none;
    }
}

body {
    /*padding-top: 50px; Removed By Akeem*/
    /*padding-bottom: 20px;*/
    font-family: Gotham;
    color: var(--clr-txt);
    height: 100%;
    position:relative;
}
html
{
    height: 100%;
}
footer {
    background: url("../images/ContactFooterBG.png");
    height: 5em;
    color: #fff;
}
.chosen-container
{
    width: 100% !important;
}
.chosen-container-single .chosen-single
{
    height:38px;
    background: none;
    display: flex;
    align-items: center;
    font-size: 1rem;
    font-family: Gotham;
    border: 1px solid #ced4da;
    box-shadow: none;
}
.chosen-container-active .chosen-single
{
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}
.chosen-container-single .chosen-search input[type="text"]
{
    max-width: none;
}
.chosen-container-single .chosen-single div
{
    width: 35px;
}
.chosen-container-single .chosen-single div b 
{
    background: url('../images/caret-down-solid.svg');
    background-size: 10px;
    background-repeat: no-repeat;
    background-position: center !important;
}
.chosen-container .chosen-results li.highlighted 
{
    background-color: #0084FF !important;
    background-image: none;
}
h1, h2, h3, h4, h5 {
    font-family: GothamBold;
}
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 5em;
    min-height: calc(100vh - 232px);
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* Custom css area*/
.header-footer
{
    max-width: 1280px;
}
footer 
{
    background-color: var(--sal-gray);
    overflow: auto;
    box-shadow: 0 50vh 0 50vh var(--sal-gray);
}
.rectangle
{
    padding-top: 15px;
}
.foot-left
{
    float: left;
}
.foot-right {
    float: right;
}
.container > h5
{
    display:inline-block;
}
.container > nav
{
    float: right;
}
nav > div
{
    display: inline-block;
    padding-left:35px;
}
nav > div > a
{
    color: inherit !important;
}
.foot-right > a
{
    color: inherit !important;
}
nav > div > a:hover
{
    text-decoration: none;
}
a 
{
    color: var(--sal-blue) !important;
    font-family: Gotham;
    font-weight: 900;
}
a:visited 
{
    color: var(--sal-blue) !important;
}
a:hover 
{
    text-decoration: none;
    color: #0084ff !important;
}
ul li
{
    padding-left: 10px;
}
label
{
    font-weight: 900;
}
.logo
{
    width: 100px;
    height: 70px;
    background-image: url('/Images/we-cycle_Final_adjusted.png');
    background-repeat: no-repeat;
    background-size: contain;
}


.box-area-title {

}

.box-area-desc {
    color: var(--clr-txt-light);
    font-size: 1.15rem;
}

.clear-field 
{
    position: absolute;
    color: dimgray;
    top: 33pt;
    right: 55pt
}
.clear-field:hover
{
    cursor: pointer;
    color: #A5A5A5;
    text-shadow: #3F3F3F 2pt 2pt 10pt;
}
.btn-menu {
    display: inline-block;
    width: 170px;
    height: 140px;
    border-radius: 8px;
    background-color: var(--sal-blue);
    color: #FFFFFF;
    font-weight: bold;
    padding: 48px 15px;
}
.btn-menu-secondary
{
    background-color: #53565A;
}
.btn-menu:hover {
    background-color: #0084ff;
}
.btn-menu-secondary:hover 
{
    background-color: #888C91;
}
.btn-menu-content 
{
    display: block;
    color: #FFFFFF;
    font-weight: bold;
    font-size: 14pt;
    text-align: center;
    margin: 0 auto;
}
.btn-form-base
{
    height: 46px !important;
    width: max-content;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1em;
}
.btn-form-base[type=submit]
{
    height: 46px;
    width: max-content;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-content: center;
    color: #FFFFFF;
    border: inherit;
}
.btn-form-base[disabled]
{
    background-color: #9C9C9C;
}
.btn-form-base[disabled]:hover
{
    background-color: #9C9C9C;
    cursor: default;
}
.btn-form-base[type=submit][disabled]
{
    background-color: #9C9C9C;
}
.btn-form-base[type=submit][disabled]:hover
{
    background-color: #9C9C9C;
}
.btn-form-base
{
    background-color: #53565A;
}
.btn-form-base:hover
{
    background-color: #9C9C9C;
}
.btn-form-next 
{
    background-color: var(--sal-blue);
}
.btn-form-next:hover 
{
    background-color: #0084FF;
}
.btn-form-next-invert
{
    background-color: #fff;
    border-color: var(--sal-blue);
    border: 2px solid;
}
.btn-form-next-invert span
{
    color: var(--sal-blue);
    font-weight: 900;
}
.btn-form-next-invert:hover
{
    background-color: #fff;
    border-color: #0084FF;
    border: 2px solid;
}
.btn-form-next-invert:hover span
{
    color: #0084FF !important;
}
.btn-form-confirm 
{
    background-color: #56C82B;
}
.btn-form-confirm:hover 
{
    background-color: #7ADB57;
}
.btn-form-warning
{
    background-color: #E8A300;
}
.btn-form-warning:hover
{
    background-color: #FFC233;
}
.btn-form-danger
{
    background-color: #920E0E;
}
.btn-form-danger:hover
{
    background-color: #EA2E2E;
}
.btn-form-content
{
    display: flex;
    align-items:center;
    justify-content: center;
    color: #FFFFFF;
    height: 19px;
    font-size: 1.15rem;
    font-weight: 500;
}
.btn-form-content:hover
{
    color:#fff !important;
}
.btn-form-content > a
{
    color: #fff !important;
    padding-left: 0.5em;
}
.btn-form-content > a:visited
{
    color: #fff !important;
}
.btn-form-content > a:hover
{
    color: #fff !important;
}
.btn-form-content > span
{
    padding-left: 0.5em;
    font-family: Gotham;
}
.append-hover-button
{
    padding: 8px 10px !important;
    font-size: 15pt !important;
    color: var(--sal-gray);
    border-radius: 0px 5px 5px 0px !important;
}
.text-control-s {
    width: 9.35em;
    height: 3em;
    max-width: none;
}
.text-control-m {
    width: 16.85em;
    height: 3em;
    max-width: none;
}
.text-control-l 
{
    width: 35.75em;
    height: 3em;
    max-width: none;
    border: 1px solid #CFD1D7 !important;
}
.product-item-container {
    height: 87px;
    width: 670px;
    border-radius: 8px;
    background-color: #FFFFFF;
    box-shadow: 0 0 30px 0 rgba(0,0,0,0.15);
}
.content-window
{
    height: 85%;
    min-width: 270px;
    border-radius: 8px;
    background-color: #FFFFFF;
    box-shadow: 0 2px 30px 0 rgba(0,0,0,0.15);
    display: flex;
    justify-content: center;
    align-items: center;
}
.product-item-name 
{
    padding: 0 25px;
    display: inline-block;
    position: relative;
    top: 30%;
    height: 25px;
}
.product-item-qty-controls
{
    float: right;
    text-align: center;
    display: inline-block;
    position: relative;
    top: 25%;
    padding: 0 25px;
}
.product-item-qty-controls input[type="text"]
{
    width: 70px;
    height: 47px;
    text-align: center;
    display: inline-block;
}
.inc-dec-control 
{
    color: var(--sal-blue);
    width: 21px;
    height: 24px;
    font-size: 24px !important;
    position: relative;
}
.inc-dec-control:hover
{
    cursor: pointer;
    color: #0084ff;
}
.dec-control 
{
    
}
.inc-control
{
  
}
.card-portal {
    border-radius: 25px;
    border: none;
    box-shadow: 0 2px 15px 0 rgba(0,0,0,0.1);
    margin: 0 0.8em;
    margin-bottom: 1em;
    width: 370px;
    max-width: 340px;
    min-width: 340px;
    height: 413px;
    padding: 0 0.5rem;
}

.card-body-custom,
.card-header-custom,
.card-footer-custom {
    padding: 10px 5px;
    background-color: inherit;
}

.card-portal-body
{
    padding: 10px 5px;
    background-color: inherit;
}

.card-portal-header
{
    padding: 2em 0 0.5em 0;
    display: flex;
    justify-content:center;
    background-color: inherit;
}

.card-portal-footer
{
    padding: 2.5em 0;
    background-color: inherit;
}

.card-portal-wecycle-img {
    background: url('/images/We-Cycle_Transparent2.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 5em;
    height: 5em;
}
.card-portal-salumatics-img {
    background: url('/images/Salumatics-logo.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 12em;
    height: 5em;
}
.card-portal-saluvision-img {
    background: url('/images/Saluvision-1.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 12em;
    height: 5em;
}
.thead-sal-dark
{
    background-color: #53565A !important;
    color: #FFFFFF;
    font-size: 14px;
    font-weight: normal;
}
.tbody-sal-alternate
{
    font-size: 14px;
}
.tbody-sal-alternate tr:nth-child(even)
{
    background-color: var(--sal-gray);
}
.tbody-sal-alternate tr:nth-child(odd) {
    background-color: #FFFFFF;
}
.inner-div-table thead tr
{
    background-color: #53565A !important;
    color: #FFFFFF;
}
.inner-div-table tbody tr
{
    background-color: #FFFFFF !important;
}
.odd-row
{
    background-color: #FFFFFF;
}
.even-row
{
    background-color: var(--sal-gray);
}
.sal-readonly
{
    background-color: transparent !important;
    border: none;
}
.sal-readonly:hover
{
    cursor: default;
}
.sal-readonly:focus
{
    box-shadow: none;
}
.os-label
{
    width: 65px;
    text-align: left;
    padding: 0;
    float: right;
    height: 1.35em;
}
.credit-debit
{
    line-height: 1.8em;
    font-size: 18px;
    position: relative;
    top: -0.5em;
}
.cash {
    line-height: 1.8em;
    font-size: 18px;
    position: relative;
    top: -0.5em;
}
.new-customer {
    height: 44px;
    width: 130px;
    line-height: 1.4em;
}
.print-barcode {
    height: 44px;
    width: 120px;
    line-height: 1.4em;
}
.existing-customer 
{
    height: 44px;
    width: 140px;
    line-height: 1.4em;
}
.box-return 
{
    height: 22px;
    width: 140px;
    line-height: 2.5em;
}
.buy 
{
    height: 43px;
    width: 71px;
    color: #323232;
    font-size: 36px;
    font-weight: bold;
    line-height: 43px;
}
.return 
{
    height: 43px;
    width: 123px;
    color: #323232;
    font-size: 36px;
    font-weight: bold;
    line-height: 43px;
}

.loading-modal-lg .modal-dialog .modal-content {
    background-color: white;
    border: 2px outset #007bff;
    border-radius: 8px;
}

.spinner-border {
    color: #007bff;
}

.foot-item
{
    padding-left: 1em;
}

.header-nav-icon 
{
    border: 2px solid #fff;
    border-radius: 25px;
    color: #fff !important;
    width: 40px;
    height: 40px;
    font-size: 13pt;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}
.header-nav-icon:visited
{
    text-decoration: none;
    color:#fff !important;
}
.header-nav-icon:hover
{
    color: #fff !important;
    text-decoration: none;
}
.nav-account
{
    color: var(--sal-blue) !important;
    background-color: #fff;
    font-family:GothamBold;
}
.nav-account:visited
{
    color: var(--sal-blue) !important;
}
.nav-account:hover
{
    color: var(--sal-blue) !important;
    background-color: #fff;
    font-family:GothamBold;
    cursor:pointer;
}
.nav-products
{
    cursor: pointer;
}
.nav-products-table tr td
{
    min-height: 55px;
    height: 55px;
    padding: 1em 1em;
}
.nav-user-menu-table tr td 
{
    min-height: 30px;
    height: 35px;
    padding: 0.3em 1.5em;
}

.nav-user-menu-item-icon 
{
    width: 30px;
    height: 30px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    background-color: #53565a;
    color: #fff;
    font-size: 13pt;
}

.nav-user-menu-table tr td:hover .nav-user-menu-item-icon {
    background-color: #fff;
    color: #53565a;
}

.nav-div-show 
{
    opacity: 1;
    top: 3em;
    transition: opacity .25s ease-in-out, top .25s ease-in-out;
    -moz-transition: opacity .25s ease-in-out, top .25s ease-in-out;
    -webkit-transition: opacity .25s ease-in-out, top .25s ease-in-out;
}
.nav-div-hide
{
    opacity: 0;
    top: -25em;
    transition: opacity .25s ease-in-out, top .25s ease-in-out;
    -moz-transition: opacity .25s ease-in-out, top .25s ease-in-out;
    -webkit-transition: opacity .25s ease-in-out, top .25s ease-in-out;
}
.nav-user-menu, .nav-products-menu
{
    min-width: 280px;
    max-width: 300px;
    position: absolute;
    z-index: 9999;
}
.nav-user-menu
{
    left:-14em;
}
.nav-products-menu
{
    min-width: 320px;
    max-width: 350px;
    right: 0em;
}
.ps-header-nav
{

}
.input-group-m
{
    width: 280px;
}
.ps-header-nav > div
{
    padding-left: 15px;
}

.sal-nav-badge 
{
    background-color: #B037E3;
    color: #fff;
    position: absolute;
    margin-left: 12px;
    margin-top: -15px;
    width: 15px;
    font-size: 8pt;
    text-align: center;
    border-radius: 25px;

}
@-moz-document url-prefix() {
    .sal-nav-badge {
        margin-left: 25px;
        margin-top: -30px;
    }
}

.ps-table-action-icon
{
    font-size: 1.15rem !important;
}

.btn-sal 
{
    background-color: var(--sal-blue) !important;
    border-color: var(--sal-blue) !important;
}

.btn-sal:hover
{
    background-color: #0084ff !important;
    border-color: #0084ff !important;
}

.btn-sal-m
{
    width: 13em;
    margin: 0 1em;
}

.btn-sal-s
{
    width: 8em;
    margin: 0 1em;
}

.btn-sal-l
{
    width: 18em;
    margin: 0 1em;
}

.create-item-label > label
{
    margin:0;
    font-family: GothamBold;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    width: 16rem !important;
}

.bootstrap-datetimepicker-widget.dropdown-menu > ul > li
{
    padding-left: 2px !important;
}
.div-click-icon 
{
    display: inline-block;
    color: var(--sal-blue) !important;
}
.div-click-icon:hover
{
    cursor: pointer;
    color: #0084ff !important;
}
.sal-hidden
{
    display: none;
}
.modal-close:hover
{
    color: #9F9F9F;
    cursor: pointer;
}
tbody tr td input[type=text]
{
    font-size: 9pt !important;
}
tbody tr td div
{
    max-width:200px;
}
tbody tr td div span
{
    font-size: 9pt !important;
}
.bootstrap-datetimepicker-widget.dropdown-menu {
    width: 312px !important;
}
.bootstrap-datetimepicker-widget
{
    max-width: 315px !important;
}
.btn-disabled-clickable
{
    cursor: pointer;
}
.pull-right.dataTable-menu
{
    margin-top:6px;
}
.section-title
{
    color: #7F8087;
    font-family: Gotham;
    font-size: 12pt;
    font-weight: 300;
    letter-spacing: 0;
}
.nav-menu-item
{
    padding-bottom:10px;
}
.nav-menu-item a
{
    color: #53565A !important;
    font-weight: 300;
}
.nav-menu-item a:hover
{
    color: #9C9C9C !important;
    font-weight: 900;
}
.selected-product td
{
    background-color: #E3E5EB;
}
.selected-product a
{
    font-weight: 900;
    font-family: GothamBold;
}

.products-menu-container,
.user-menu-container
{
    position:relative;
}

.multiline
{
    white-space: pre-wrap;
}

.records-box-description 
{
    font-size: 11pt !important;
}

.records-box-description-container 
{
    min-height: 125px;
    max-height: 125px;
    min-width: 100%;
    overflow-y: auto;
}

.center-content
{
    display: flex;
    justify-content: center;
    align-items: center;
}

.new-record-row 
{
    z-index: 90000;
}

.bootstrap-datetimepicker-widget
{
    z-index: 900000 !important;
}

.help-menu-list {
    list-style: none;
    margin: 0;
    padding: 1rem;
}

.help-menu-list li {
    padding-left:0;
    margin-bottom: 1rem;
}

.modal-close {
    padding: 0.1em 0.3em;
    position: absolute;
    right:0.3rem;
    top: 0.4rem;
}
.delete-link {
    color: #ff0000 !important;
}

.delete-link:visited {
    color: #ff0000 !important;
}

.delete-link:hover {
    color: #ff4d4d !important;
    cursor: pointer;
}
/*Switch Setion*/
.switch {
    font-size: 1rem;
    position: relative;
}

.switch input {
    position: absolute;
    height: 1px;
    width: 1px;
    background: none;
    border: 0;
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    overflow: hidden;
    padding: 0;
}

.switch input + label {
    position: relative;
    min-width: calc(calc(calc(1.5em + 0.75rem + 2px) * .8) * 2);
    border-radius: calc(calc(1.5em + 0.75rem + 2px) * .8);
    height: calc(calc(1.5em + 0.75rem + 2px) * .8);
    line-height: calc(calc(1.5em + 0.75rem + 2px) * .8);
    display: inline-block;
    cursor: pointer;
    outline: none;
    user-select: none;
    vertical-align: middle;
    text-indent: calc(calc(calc(calc(1.5em + 0.75rem + 2px) * .8) * 2) + .5rem);
}

.switch input + label::before,
.switch input + label::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: calc(calc(calc(1.5em + 0.75rem + 2px) * .8) * 2);
    bottom: 0;
    display: block;
}

.switch input + label::before {
    right: 0;
    background-color: #adb5bd;
    border-radius: calc(calc(1.5em + 0.75rem + 2px) * .8);
    transition: 0.2s all;
}

.switch input + label::after {
    top: 2px;
    left: 2px;
    width: calc(calc(calc(1.5em + 0.75rem + 2px) * .8) - calc(2px * 2));
    height: calc(calc(calc(1.5em + 0.75rem + 2px) * .8) - calc(2px * 2));
    border-radius: 50%;
    background-color: #fff;
    transition: 0.2s all;
}

.switch input:checked + label::before {
    background-color: #007bff;
}

.switch input:checked + label::after {
    margin-left: calc(calc(1.5em + 0.75rem + 2px) * .8);
}

.switch input:focus + label::before {
    outline: none;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.switch input:disabled + label {
    color: #b3d7ff;
    cursor: not-allowed;
}

.switch input:disabled + label::before {
    background-color: #e9ecef;
}

.switch.switch-sm {
    font-size: 0.875rem;
}

.switch.switch-sm input + label {
    min-width: calc(calc(calc(1.5em + 0.5rem + 2px) * .8) * 2);
    height: calc(calc(1.5em + 0.5rem + 2px) * .8);
    line-height: calc(calc(1.5em + 0.5rem + 2px) * .8);
    text-indent: calc(calc(calc(calc(1.5em + 0.5rem + 2px) * .8) * 2) + .5rem);
}

.switch.switch-sm input + label::before {
    width: calc(calc(calc(1.5em + 0.5rem + 2px) * .8) * 2);
}

.switch.switch-sm input + label::after {
    width: calc(calc(calc(1.5em + 0.5rem + 2px) * .8) - calc(2px * 2));
    height: calc(calc(calc(1.5em + 0.5rem + 2px) * .8) - calc(2px * 2));
}

.switch.switch-sm input:checked + label::after {
    margin-left: calc(calc(1.5em + 0.5rem + 2px) * .8);
}

.switch.switch-lg {
    font-size: 1.25rem;
}

.switch.switch-lg input + label {
    min-width: calc(calc(calc(1.5em + 1rem + 2px) * .8) * 2);
    height: calc(calc(1.5em + 1rem + 2px) * .8);
    line-height: calc(calc(1.5em + 1rem + 2px) * .8);
    text-indent: calc(calc(calc(calc(1.5em + 1rem + 2px) * .8) * 2) + .5rem);
}

.switch.switch-lg input + label::before {
    width: calc(calc(calc(1.5em + 1rem + 2px) * .8) * 2);
}

.switch.switch-lg input + label::after {
    width: calc(calc(calc(1.5em + 1rem + 2px) * .8) - calc(2px * 2));
    height: calc(calc(calc(1.5em + 1rem + 2px) * .8) - calc(2px * 2));
}

.switch.switch-lg input:checked + label::after {
    margin-left: calc(calc(1.5em + 1rem + 2px) * .8);
}

.switch + .switch {
    margin-left: 1rem;
}
    /**********************/